#ifndef __ACCSS__
#define __ACCSS__

#define MAXSTRLEN 256
#define MAXMIXPP 4096
#define MAXDIMPP 1024
#define MAXNSTPP 64

enum _HSetKind {PLAINHS, SHAREDHS, TIEDHS, DISCRETEHS};
typedef enum _HSetKind HSetKind;

enum _ACCOP {SUM, AVR};
typedef enum _ACCOP ACCOP;

typedef struct __fpfnset__ {
  int ninput;
  FPFN **fpfnin;
  FPFN *fpfnout;
} FPFNSet;

static ACCOP accop=SUM;
int verbose=0;

void pfngets(char *s, int size, FPFNSet *fpfnset);
int avrmixw(FPFNSet *fpfnset, char *buf);
int avrmean(FPFNSet *fpfnset, char *buf);
int avrdiagvar(FPFNSet *fpfnset, char *buf);
int avrvar(FPFNSet *fpfnset, char *buf);
int avrtrans(FPFNSet *fpfnset, char *buf);
int avrheader(FPFNSet *fpfnset, char *buf);
void version(void);
void usage(char *myname);

#endif 
